<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.shopping.mapper.CatBrandsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="catBrandsResultMap" type="org.springblade.modules.shopping.entity.CatBrands">
        <id column="id" property="id"/>
        <result column="category_id" property="categoryId"/>
        <result column="brand_id" property="brandId"/>
    </resultMap>


    <select id="selectCatBrandsPage" resultMap="catBrandsResultMap">
        select * from t_cat_brands where is_deleted = 0
    </select>

</mapper>
